Page MenuHomePhabricator

Write a script that send queries to the production cluster and collect the results
Closed, ResolvedPublic

Description

This tool will be used to test diverse queries against the production cluster.
This script will take a set of queries as input and writes a summary of all the queries.
We could make a php maintenance script this would be easy to reuse existing code to make sure the query is builded correctly.

Event Timeline

dcausse created this task.Jul 23 2015, 2:58 PM
dcausse raised the priority of this task from to Needs Triage.
dcausse updated the task description. (Show Details)
dcausse added a subscriber: dcausse.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 23 2015, 2:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 227939 had a related patch set uploaded (by EBernhardson):
Basic script to run cirrus queries in bulk

https://gerrit.wikimedia.org/r/227939

EBernhardson set Security to None.
Deskana closed this task as Resolved.Sep 12 2015, 2:37 AM
Deskana added a subscriber: Deskana.

Above patch was merged, not sure why that isn't showing here. Resolving.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 31 2015, 5:08 AM